$floatTagHeight: 60px;
$floatImageHeight: 60px;

$floatWidth: 350px;
$miniFloatFactor: 1.5;

// Collection of floats
.floats {
  width: 100%;

  display: grid;
  gap: 1rem;

  &:not(.singleColumn) {
    grid-template-columns: repeat(auto-fit, minmax($floatWidth, 1fr));
  }
}

// Individual Float
.float {
  display: grid;
  gap: 0.75em;
  grid-template-columns: $floatImageHeight 1fr 5em;

  &.project {
    @media (min-width: $resolution-medium) {
      grid-column: span 2;
    }
  }

  cursor: pointer;
  border-radius: 0.65em;
  box-shadow: var(--secondary-shadow);
  background-color: var(--background);

  transition: 150ms transform ease-in;

  &:hover {
    box-shadow: var(--primary-shadow);
    transform: scale(1.02);
  }

  .image {
    width: $floatImageHeight;
    height: $floatImageHeight !important;

    border-top-left-radius: 12px;
    border-bottom-right-radius: 7px;

    background: var(--accent-secondary);
    background-size: cover;
    background-position: center;

    color: #f0f0f0;
  }

  .title > a,
  .tags > a {
    color: var(--text) !important;
  }

  .title {
    height: $floatImageHeight;

    display: grid;
    align-content: center;

    a {
      display: block;
    }
  }

  .date {
    text-align: right;
    margin-top: calc(30px - 0.6em);
    margin-right: 10px;
  }

  .bottom {
    display: grid;
    align-items: baseline;
    grid-template-columns: auto 1fr auto;
    grid-column: 1 / 4;

    .tags {
      overflow-x: auto;
      overflow-y: hidden;
    }

    .summary {
      white-space: nowrap;
      overflow: hidden;
      text-overflow: ellipsis;
      font-size: 14px;
    }

    .links a {
      filter: unset;
      color: var(--text);
      display: flex;
      justify-content: center;
      align-items: center;
      font-size: 1.25em;
    }

    .links,
    .tags {
      margin: 0 10px 10px 10px;
      display: flex;

      a {
        box-shadow: var(--secondary-shadow);
        padding: 5px 8px;
        margin: 3px;
        border-radius: 0.5em;
        border: 1px solid transparent;

        // filter: brightness(1.6);
        transition:
          200ms border ease,
          200ms background ease;
        text-transform: capitalize;

        &:hover {
          border: 1px solid var(--accent);
          filter: unset;
        }

        @media (prefers-color-scheme: dark) {
          &:hover {
            border: 1px solid var(--accent-secondary);
          }
        }
      }
    }
  }

  &.pinned {
    height: $floatImageHeight;
    grid-template-columns: $floatImageHeight 1fr 6em;

    .image {
      border-radius: 12px 0 0 12px;
    }
  }

  &.mini {
    height: $floatImageHeight / $miniFloatFactor;
    width: unset;

    .title {
      height: $floatImageHeight / $miniFloatFactor;
    }

    .image {
      height: $floatImageHeight / $miniFloatFactor !important;
      border-bottom-left-radius: 12px;
      border-bottom-right-radius: unset;

      display: flex;
      align-items: center;
      justify-content: center;
      font-size: 1.5em;
    }
  }
}
